Bug 1935707 - test: Detect when the master pool is still updating after upgrade
Summary: test: Detect when the master pool is still updating after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Test Infrastructure
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.z
Assignee: Vadim Rutkovsky
QA Contact:
URL:
Whiteboard:
Depends On: 1935706
Blocks: 1935715
TreeView+ depends on / blocked
 
Reported: 2021-03-05 12:35 UTC by Vadim Rutkovsky
Modified: 2021-04-05 13:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1935706
: 1935715 (view as bug list)
Environment:
Last Closed: 2021-04-05 13:56:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25941 0 None open Bug 1935707: [release-4.7] test: Detect when the master pool is still updating after upgrade 2021-03-05 12:37:01 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:32 UTC

Description Vadim Rutkovsky 2021-03-05 12:35:50 UTC
+++ This bug was initially created as a clone of Bug #1935706 +++

The MCO is required to roll out the master config pool prior to reporting level, and thus CVO should never reach Available at a
new version without the master pool being updated. Add an extra check to the pool rollout - if we see the master pool with an
Updating condition flag it and fail the upgrade job. Also handle paused pools in the wait loop (a paused pool is effectively "we
will not deal with this pool" and so we will exit early and log).

--- Additional comment from Vadim Rutkovsky on 2021-03-05 12:33:29 UTC ---

Fixed in https://github.com/openshift/origin/pull/25922

Comment 1 Vadim Rutkovsky 2021-03-24 13:04:02 UTC
Tests no longer get stuck when workers are paused

Comment 4 errata-xmlrpc 2021-04-05 13:56:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.